/* 
   LINWLOAD 1.0a
   (c) Wojciech M. Zabolotny (wzab@ise.pw.edu.pl) 15.08.2000
   This file is published under the Gnu Public License version 2
*/
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <fcntl.h>
#include <termios.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/ioctl.h>

#define MEM_LEN ( 0x3000)
#define CODE_MAX ( 0x1fff)
#define FUSE_MIN ( 0x2000)
#define FUSE_MAX ( 0x2007)
#define DATA_MIN ( 0x2100)
#define DATA_MAX ( 0x21ff)

extern unsigned short int Mem[MEM_LEN];
extern char Used[MEM_LEN];
extern char * ComDevice;
extern int Com_fd;
extern tcflag_t BaudRate;

int HexRead(char * hexfn);
int rsinit(void);
int rsget(void);
void rsput(int data);
void rsleave(void);
void restoreterm(void);
int kbhit();
void terminal(void);
void rssend(char * str);

/* The subroutines associated with the WLoader */
void Prog(void);
void Verify(void);
void Go(void);
